{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms slow_message %}

{% block page_title %}
    {% if object %}
        {% translate "Edit reply to:" %} {{ topic.subject|escape }}
    {% else %}
        {% translate "Reply to:" %} {{ topic.subject|escape }}
    {% endif %}
{% endblock %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{% url 'slow_forum:topic-category-list' %}">
            {% translate "Topics categories" %}
        </a>
    </li>

    {% if topic %}
        
        <li class="breadcrumb-item">
            <a href="{{ topic.category.get_absolute_url }}">
                {{ topic.category.title|escape }}
            </a>
        </li>

        <li class="breadcrumb-item">
            <a href="{{ topic.get_absolute_url }}">{{ topic.subject }}</a>
        </li>

        {% if topicreply %}
            <li class="breadcrumb-item">
                <a href="{{ topicreply.get_absolute_url }}">
                    {% translate "Reply" %}
                </a>
            </li>
        {% endif %}
        
    {% endif %}
{% endblock %}

{% block content_title %}
    {% if object %}
        {% translate "Edit reply" %}
    {% else %}
        {% translate "Add reply" %}
    {% endif %}
{% endblock %}

{% block content %}

    <div class="topic">
        
        <h2 class="mb-5" aria-description="{% translate "Topic subject" %}">
            {{ topic.subject|escape }}
        </h2>

        {% topic_message topic %}

        <div class="reply_add">
            <h2>{% translate "Reply" %}</h2>
            {% if not user.is_anonymous %}
                {% if perms.slow_forum.add_topicreply %}
                    <form method="post">
                        {% csrf_token %}
                        {% bootstrap_form form %}
                        {% if object %}
                            <input type="submit" class="btn btn-primary" value="{% translate "Save" %}" />
                        {% else %}
                            <input type="submit" class="btn btn-primary" value="{% translate "Reply" %}" />
                        {% endif %}
                        <a class="btn btn-secondary" href="{{ topic.get_absolute_url }}">{% translate "Cancel" %}</a>
                    </form>
                {% else %}
                    <p>{% translate "You need to have the permission to reply" %}</p>
                {% endif %}
            {% else %}
                <p>{% translate "You need to be logged to reply" %}</p>
            {% endif %}
        </div>

    </div>
    
{% endblock %}
